Bug 92432 - redhat-config-network crashes upon start
redhat-config-network crashes upon start
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-05 22:24 EDT by Marcelo Roberto Jimenez
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-04 05:57:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcelo Roberto Jimenez 2003-06-05 22:24:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Linux 2.4.20-13.9 i686) Opera 7.11  [en]

Description of problem:
redhat-config-network crashes before I can do anything.
Here is the crash file:
Component: redhat-config-network
Version: 1.2.0
Summary: TB /usr/lib/python2.2/site-packages/rhpl/exception.py:280:handleException:
TypeError: generic_error
_dialog() got an unexpected keyword argument 'dialog_type'
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-network-gui", line 169, in ?
    handleException(sys.exc_info(), PROGNAME, PRG_VERSION)
  File "/usr/lib/python2.2/site-packages/rhpl/exception.py", line 280, in handleException
    dialog_type = "info")
TypeError: generic_error_dialog() got an unexpected keyword argument 'dialog_type'

Local variables in innermost frame:
fs: <rhpl.exception.FileSelection instance at 0x8678a5c>
type: exceptions.NameError
text: Component: redhat-config-network
Version: 1.2.0
Summary: TB 
/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.
py:198:__init__:NameError: global name 'timeout_add' is not defined
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-network-gui", line 154, in ?
    window = mainDialog()
  File 
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialo
g.py",
 line 198, in __init__
NameError: global name 'timeout_add' is not defined

list: ['Traceback (most recent call last):\n', '  File "/usr/sbin/redhat-config-network-gui", line 
154, in
?\n    window = mainDialog()\n', '  File 
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-netw
ork/netconfpkg/gui/maindialog.py", line 198, in __init__\n', "NameError: global name 
'timeout_add' is not d
efined\n"]
progname: redhat-config-network
value: global name 'timeout_add' is not defined
tb: <traceback object at 0x8678a84>
extxt: ["NameError: global name 'timeout_add' is not defined\n"]
version: 1.2.0
t: __init__
file: /home/mroberto/redhat-config-network.crash
rc: -5
.0: (<class exceptions.NameError at 0x811794c>, <exceptions.NameError instance at 
0x8671d34>, <traceback ob
ject at 0x8678a84>)
tblast: (
'/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialo
g.py
', 198, '__init__')
out: <closed file '/home/mroberto/redhat-config-network.crash', mode 'w' at 0x86c4d88>

Version-Release number of selected component (if applicable):
redhat-config-network-1.2.0-2

How reproducible:
Always

Steps to Reproduce:
1.Just run redhat-config-network from konsole or alt-f2
2.Wait a few seconds and enter the root password
3.Wait a little more and read the crash dump
    

Actual Results:  I see a screen telling me that this is a bug to be reported on bugzilla

Expected Results:  I should have seen the program gui running, like it was in RedHat 8.0

Additional info:
Comment 1 Warren Togami 2003-06-06 03:25:38 EDT
ftp://people.redhat.com/harald/redhat-config-network/1.2.9-RH9

You may want to try the latest unofficial rcn and rhpl here.  Upgrade everything
here except the .src.rpm packages and report your findings.

Comment 2 Marcelo Roberto Jimenez 2003-06-16 22:43:28 EDT
Warren,

The rpms did not install:

[root@phoenix redhat-config-network]# rpm -Uvh
redhat-config-network-1.2.9-2.noarch.rpm
redhat-config-network-tui-1.2.9-2.noarch.rpm rhpl-0.93.2-1.i386.rpm
warning: redhat-config-network-1.2.9-2.noarch.rpm: V3 DSA signature: NOKEY, key
ID c5575542
error: Failed dependencies:
        rhpl >= 0:0.105 is needed by redhat-config-network-tui-1.2.9-2
Comment 3 Marcelo Roberto Jimenez 2003-06-16 23:16:00 EDT
I have grabbed the source rpms and removed the ">= 0:0.105" part of the
requirement of tui and rebuilt the binaries from the source. The program loaded
normally and the error did not show.
Comment 4 Harald Hoyer 2003-06-17 05:07:59 EDT
better get the latest updates from this page (actually 1.2.11):
http://people.redhat.com/harald/redhat-config-network/
Comment 5 Marcelo Roberto Jimenez 2003-06-21 10:19:12 EDT
Harald,
have downloaded and installed without problems the following rpms from
http://people.redhat.com/harald/redhat-config-network/ :
- redhat-config-network-1.2.12-4.noarch.rpm 
- redhat-config-network-tui-1.2.12-4.noarch.rpm 
- rhpl-0.93.3-1.i386.rpm

Everything is working fine. Thank you for your help.

Note You need to log in before you can comment on or make changes to this bug.